Impossibile abilitare HTTPS su server Aruba Cloud

Ciao a tutti,
sto cercando di configurare l’https su un server virtuale di Aruba (Cloud.it) ma quando cerco di utilizzare da Impostazioni di rete → Configurazione automatica, mi arrivano 2 mail (uguali) con questi messaggi:
Platform: Reclami Aquila srl
Host: 212.237.0.58 (whpiddoy7x2gsqvoy45ezwvurbw4lo5kardiop7dglmdbbmfepd2vaad.onion)
Version: 4.7.14

AttributeError Attribute not found.

Traceback (most recent call last):

File “/usr/lib/python3/dist-packages/twisted/internet/defer.py”, line 1416, in _inlineCallbacks
result = result.throwExceptionIntoGenerator(g)

File “/usr/lib/python3/dist-packages/twisted/python/failure.py”, line 491, in throwExceptionIntoGenerator
return g.throw(self.type, self.value, self.tb)

File “/usr/lib/python3/dist-packages/globaleaks/handlers/admin/https.py”, line 462, in post
yield tw(db_acme_cert_request, self.request.tid)

File “/usr/lib/python3/dist-packages/twisted/python/threadpool.py”, line 250, in inContext
result = inContext.theWork()

File “/usr/lib/python3/dist-packages/twisted/python/threadpool.py”, line 266, in
inContext.theWork = lambda: context.call(ctx, func, *args, **kw)

File “/usr/lib/python3/dist-packages/twisted/python/context.py”, line 122, in callWithContext
return self.currentContext().callWithContext(ctx, func, *args, **kw)

File “/usr/lib/python3/dist-packages/twisted/python/context.py”, line 85, in callWithContext
return func(*args,**kw)

File “/usr/lib/python3/dist-packages/globaleaks/orm.py”, line 151, in _wrap
result = function(session, *args, **kwargs)

File “/usr/lib/python3/dist-packages/globaleaks/orm.py”, line 182, in tw
return f(session, *args, **kwargs)

File “/usr/lib/python3/dist-packages/globaleaks/handlers/admin/https.py”, line 444, in db_acme_cert_request
cert_str, chain_str = letsencrypt.request_new_certificate(hostname,

File “/usr/lib/python3/dist-packages/globaleaks/utils/letsencrypt.py”, line 87, in request_new_certificate
order = client.new_order(csr)

File “/usr/lib/python3/dist-packages/acme/client.py”, line 666, in new_order
response = self._post(self.directory[‘newOrder’], order)

File “/usr/lib/python3/dist-packages/acme/client.py”, line 95, in _post
return self.net.post(*args, **kwargs)

File “/usr/lib/python3/dist-packages/acme/client.py”, line 1171, in post
return self._post_once(*args, **kwargs)

File “/usr/lib/python3/dist-packages/acme/client.py”, line 1184, in _post_once
response = self._check_response(response, content_type=content_type)

File “/usr/lib/python3/dist-packages/acme/client.py”, line 1042, in _check_response
raise messages.Error.from_json(jobj)

acme.messages.Error: urn:ietf:params:acme:error:rejectedIdentifier :: The server will not issue certificates for the identifier :: Error creating new order :: Cannot issue for “212.237.0.58”: The ACME server can not issue a certificate for an IP address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/usr/lib/python3/dist-packages/twisted/internet/defer.py”, line 1418, in _inlineCallbacks
result = g.send(result)

File “/usr/lib/python3/dist-packages/globaleaks/rest/api.py”, line 444, in concludeHandlerFailure
self.handle_exception(err, request)

File “/usr/lib/python3/dist-packages/globaleaks/rest/api.py”, line 268, in handle_exception
e.tid = request.tid

File “/usr/lib/python3/dist-packages/josepy/util.py”, line 179, in setattr
raise AttributeError(“can’t set attribute”)

AttributeError: can’t set attribute

Sapete come fare per risolvere? Purtroppo non ho capito un granchè dal log…
Il server è Ubuntu 20.04 LTS 64 bit

Per completezza, allego il risultato di nmap:

Starting Nmap 7.80 ( https://nmap.org ) at 2022-02-24 15:01 UTC
Nmap scan report for localhost (127.0.0.1)
Host is up (0.0000090s latency).
Not shown: 994 closed ports
PORT STATE SERVICE
22/tcp open ssh
80/tcp open http
443/tcp open https
8082/tcp open blackice-alerts
8083/tcp open us-srv
9050/tcp open tor-socks

Gentile @eugenio.bellomo

Let’sencrypt non permette di registrare dei certificati HTTPS per un IP.

Per procedere punti un nome di dominio verso l’IP del server e proceda a richiedere un certificato per quel nome di dominio

Sì, mi scuso, ero stato poco accurato io nella configurazione. Ora sono riuscito a configurare l’HTTPS.
Grazie mille!